package pack;

import java.util.Scanner;

public class Main {
    public static void main(String[] args) {
        Scanner input = new Scanner(System.in);

        System.out.print("Enter n: ");
        int n = input.nextInt();
        System.out.print("Enter m: ");
        int m = input.nextInt();
        System.out.print("Enter police numbers: ");
        int pn = input.nextInt();

        PlayGround playGround = new PlayGround(n, m, pn);
        int[][] positions = playGround.putRandom();

        Thief thief = new Thief(positions[pn][0], positions[pn][1]);

        Police[] polices = new Police[pn];
        int i;
        for (i = 0; i < pn; i++)
            polices[i] = new Police(positions[i][0], positions[i][1]);

        //--------------------------------------------------------------------------------

        int[][] thiefSituation;

        playGround.show(1000);
        System.out.print("\n\n\n\n");


        do {
            thiefSituation = playGround.canPoliceSeeThief();

            if (thiefSituation == null) {
                thief.randomMove(n, m, playGround);

                thiefSituation = playGround.canPoliceSeeThief();

                if (thiefSituation == null) {
                    for (i = 0; i < pn; i++)
                        polices[i].randomMove(n, m, playGround);
                } else {
                    for (i = 0; i < pn; i++) {
                        polices[i].targetedMove(thiefSituation, playGround);
                        if (playGround.getCatchThief()) break;
                    }
                }
            } else
                do {
                    thief.targetedMove(playGround);

                    for (i = 0; i < pn; i++) {
                        polices[i].targetedMove(thiefSituation, playGround);
                        if (playGround.getCatchThief()) break;
                    }

                    if (playGround.getCatchThief()) {
                        playGround.show(1200);
                        System.out.println("they catch him!");
                        break;
                    } else playGround.show(1200);
                    System.out.print("\n\n\n\n");


                } while (true);


            if (playGround.getCatchThief()) {
                break;
            } else playGround.show(1200);
            System.out.print("\f\n\n\n\n");




        /*

        FIRST MOVE : POLICE


        thiefSituation = playGround.canPoliceSeeThief();


            if (thiefSituation == null) {
                for (i = 0; i < pn; i++)
                    polices[i].randomMove(n, m, playGround);

                if (playGround.canPoliceSeeThief() == null) {
                    thief.randomMove(n, m, playGround);
                } else {
                    thief.targetedMove(playGround);
                }
            } else {
                for (i = 0; i < pn; i++) {
                    polices[i].targetedMove(thiefSituation, playGround);
                    if (playGround.getCatchThief()) break;
                }

                if (playGround.canPoliceSeeThief() == null) {
                    thief.randomMove(n, m, playGround);
                } else {
                    thief.targetedMove(playGround);
                }
            }

            if (playGround.getCatchThief()) {
                System.out.println("they catch him!");
                break;
            } else playGround.show(1200);
            System.out.print("\n\n\n\n");
        */
        }
        while (true);


    }

}


















